<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>7.lekce priprava</title>
</head>
<body>
    
<script>
    (async function() {
        const delay = ms => new Promise(res => setTimeout(res, ms));

        async function getProducst() {
            await delay(3000);

            const result = await fetch('https://raw.githubusercontent.com/pavelprokes/js-demo-test/master/vzdelani-budoucnosti/javascript/products.json')
                .then(res => res.json());

            return result;
        }

        const data = await getProducst();
        renderProductList(data);

        function renderProductList(products) {
            console.log(products);
        }

    })();
</script>

</body>
</html>